NX Open C++ Reference Guide
|
Represents a GeometricUtilities::PartModuleOutputBuilder
To create a new instance of this class, use Features::PartModule::CreatePartModuleOutputBuilder
Created in NX8.0.0.
More...
Public Member Functions | |
bool | Activate () |
Returns the option indicating whether the part module is to be activated. | |
bool | Deactivate () |
Returns the option indicating whether the part module is to be deactivated. | |
NXOpen::GeometricUtilities::PartModuleReferencesBuilder * | OutputReferences () |
Returns the part module output data This API is now deprecated. | |
void | SetActivate (bool activate) |
Sets the option indicating whether the part module is to be activated. | |
void | SetDeactivate (bool deactivate) |
Sets the option indicating whether the part module is to be deactivated. | |
![]() | |
NXOpen::NXObject * | Commit () |
Commits any edits that have been applied to the builder. | |
void | Destroy () |
Deletes the builder, and cleans up any objects created by the builder. | |
std::vector< NXOpen::NXObject * > | GetCommittedObjects () |
For builders that create more than one object, this method returns the objects that are created by commit. | |
NXOpen::NXObject * | GetObject () |
Returns the object currently being edited by this builder. | |
void | ShowResults () |
Updates the model to reflect the result of an edit to the model for all builders that support showing results. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Represents a GeometricUtilities::PartModuleOutputBuilder
To create a new instance of this class, use Features::PartModule::CreatePartModuleOutputBuilder
Created in NX8.0.0.
bool NXOpen::GeometricUtilities::PartModuleOutputBuilder::Activate | ( | ) |
Returns the option indicating whether the part module is to be activated.
If true, the part module will be activated, else, no action is taken
This API is now deprecated. Please use Features::PartModule::Activate instead.
Created in NX8.0.0.
License requirements : None
bool NXOpen::GeometricUtilities::PartModuleOutputBuilder::Deactivate | ( | ) |
Returns the option indicating whether the part module is to be deactivated.
If true, the part module will be deactivated, else, no action is taken
This API is now deprecated. Please use Features::PartModule::Activate instead.
Created in NX8.0.0.
License requirements : None
NXOpen::GeometricUtilities::PartModuleReferencesBuilder* NXOpen::GeometricUtilities::PartModuleOutputBuilder::OutputReferences | ( | ) |
Returns the part module output data
This API is now deprecated.
Please use @link GeometricUtilities::PartModuleOutputBuilder1::OutputReferences1 GeometricUtilities::PartModuleOutputBuilder1::OutputReferences1@endlink instead. <br>
Created in NX8.0.0.
License requirements : None
void NXOpen::GeometricUtilities::PartModuleOutputBuilder::SetActivate | ( | bool | activate | ) |
Sets the option indicating whether the part module is to be activated.
If true, the part module will be activated, else, no action is taken
This API is now deprecated. Please use Features::PartModule::Activate instead.
Created in NX8.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
activate | activate |
void NXOpen::GeometricUtilities::PartModuleOutputBuilder::SetDeactivate | ( | bool | deactivate | ) |
Sets the option indicating whether the part module is to be deactivated.
If true, the part module will be deactivated, else, no action is taken
This API is now deprecated. Please use Features::PartModule::Activate instead.
Created in NX8.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
deactivate | deactivate |